Bug 104898 - [new port] port net-mgmt/sjitter - client/server network jitter measurement utility
Summary: [new port] port net-mgmt/sjitter - client/server network jitter measurement u...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-29 08:40 UTC by babak
Modified: 2006-11-08 19:50 UTC (History)
0 users

See Also:


Attachments
sjitter.shar (1.82 KB, text/plain)
2006-10-29 08:40 UTC, babak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2006-10-29 08:40:19 UTC

- sjitter is a command line client/server utility to measure end to end network jitter
Comment 1 Edwin Groothuis freebsd_committer 2006-10-29 08:40:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this PRs
Comment 2 babak 2006-10-29 08:59:31 UTC
New shar file with MANCOMPRESSED problem solved:

--- sjitter.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	sjitter
#	sjitter/Makefile
#	sjitter/distinfo
#	sjitter/pkg-descr
#
echo c - sjitter
mkdir -p sjitter > /dev/null 2>&1
echo x - sjitter/Makefile
sed 's/^X//' >sjitter/Makefile << 'END-of-sjitter/Makefile'
X# New ports collection makefile for:	sjitter
X# Date created:		2006-10-29
X# Whom:			babak@farrokhi.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	sjitter
XPORTVERSION=	0.14b
XCATEGORIES=	net-mgmt net
XMASTER_SITES=	http://www.alcasat.net/dev/sjitter/
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	babak@farrokhi.net
XCOMMENT=	A client/server jitter measurement utility
X
XWRKSRC=		${WRKDIR}
XUSE_GMAKE=	yes
XMAN1=		sjitter.1
XMANCOMPRESSED=	yes
XPLIST_FILES=	sbin/sjitters sbin/sjitterc
X
Xpost-patch:
X	@${REINPLACE_CMD} -e "s,^CC,#CC,g ; \
X	    s,^LDFLAGS,LDFLAGS+,g ; \
X	    s,^CFLAGS,CFLAGS+,g" ${WRKSRC}/Makefile
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/sjitters ${PREFIX}/sbin
X	${INSTALL_PROGRAM} ${WRKSRC}/sjitterc ${PREFIX}/sbin
X	${INSTALL_MAN} ${WRKSRC}/sjitter.1.gz ${PREFIX}/man/man1
X
X.include <bsd.port.mk>
END-of-sjitter/Makefile
echo x - sjitter/distinfo
sed 's/^X//' >sjitter/distinfo << 'END-of-sjitter/distinfo'
XMD5 (sjitter-0.14b.tgz) = d2ca93bfc6edd3f9818aeb75d2bde65a
XSHA256 (sjitter-0.14b.tgz) =
f06fc65afcbebd27db901b77f2c0c75da580b862b65f7bc35cd16a46391d4f5b
XSIZE (sjitter-0.14b.tgz) = 8070
END-of-sjitter/distinfo
echo x - sjitter/pkg-descr
sed 's/^X//' >sjitter/pkg-descr << 'END-of-sjitter/pkg-descr'
XSjitter is a command line client/server to measure jitter 
X(based on RFC 1889), one way UDP delay and bandwidth.
X
XWWW: http://www.alcasat.net/dev/sjitter/
END-of-sjitter/pkg-descr
exit
--- sjitter.shar ends here ---
Comment 3 Martin Wilke freebsd_committer 2006-11-07 22:20:55 UTC
Responsible Changed
From-To: miwi->farrokhi

he has commit bit :)
Comment 4 Babak Farrokhi freebsd_committer 2006-11-08 19:43:24 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2006-11-08 19:43:48 UTC
farrokhi    2006-11-08 19:42:21 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Added files:
    net-mgmt/sjitter     Makefile distinfo pkg-descr 
  Log:
  Sjitter is a command line client/server to measure jitter
  (based on RFC 1889), one way UDP delay and bandwidth.
  
  PR:             ports/104898
  Submitted by:   self
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.94      +1 -0      ports/net-mgmt/Makefile
  1.1       +32 -0     ports/net-mgmt/sjitter/Makefile (new)
  1.1       +3 -0      ports/net-mgmt/sjitter/distinfo (new)
  1.1       +4 -0      ports/net-mgmt/sjitter/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"